.container {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.content {
    flex: 1;
}

.background-section {
    position: relative;
}

.text-container {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;
    text-align: center;
    color: white;
}

.icono {
    color: #fff;
}

@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&display=swap");

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}

.main {
    height: 100vh;
    width: 100%;
}

.wrapper,
.slide {
    position: relative;
    width: 100%;
    height: 100%;
}

.slide {
    overflow: hidden;
}

/* Estilo para las diapositivas de video */
.video-slide {
    height: 100%;
    width: 100%;
    object-fit: cover;
    /* Asegura que el video cubra toda el área de la diapositiva */
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
}

.slide::before {
    content: "";
    position: absolute;
    height: 100%;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.4);
    z-index: 2;
    /* Asegura que el overlay esté por encima del video */
}


.slide .image {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.image-data {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    width: 100%;
    z-index: 3;
    /* Asegura que el texto esté por encima del overlay */
}

.image-data span.text {
    font-size: 14px;
    font-weight: 400;
    color: #fff;
}

.image-data h2 {
    font-size: 45px;
    font-weight: 600;
    color: #fff;
}

a.button {
    display: inline-block;
    padding: 10px 20px;
    border-radius: 25px;
    color: #333;
    background: #fff;
    text-decoration: none;
    margin-top: 25px;
    transition: all 0.3s ease;
}

a.button:hover {
    color: #fff;
    background: #a08a70;
    text-decoration: none;
}

/* swiper button css */
.nav-btn {
    color: #000;
}

.swiper-button-next {
    right: 50px;
}

.swiper-button-prev {
    left: 50px;
}

.nav-btn::before {
    font-size: 25px;
    color: #fff;
}

.nav-btn::after {
    font-size: 25px;
    color: #fff;
}

.swiper-pagination-bullet {
    opacity: 1;
    height: 12px;
    width: 12px;
    background-color: #fff;
    visibility: hidden;
}

.swiper-pagination-bullet-active {
    border: 2px solid #fff;
    background-color: #ae992e;
}

@media screen and (max-width: 768px) {
    .nav-btn {
        visibility: hidden;
    }

    .swiper-pagination-bullet {
        visibility: visible;
    }
}

/* Asegurar que los videos también sean responsivos en pantallas pequeñas */
@media screen and (max-width: 768px) {
    .video-slide {
        object-fit: contain;
        /* Asegura que el video se ajuste sin recortarse */
    }

    .image-data span.text {
        font-size: 12px;
    }

    .image-data h2 {
        font-size: 35px;
    }

    a.button {
        padding: 8px 16px;
        font-size: 14px;
    }
}
.header {
    width: 100%;
    height: 70px;
    background-color: #1e2e52;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding: 0 20px;
}

.header a {
    text-decoration: none;
    color: #fff;
    margin: 0 15px;
    white-space: nowrap; /* Para evitar que los enlaces se rompan en varias líneas */
}

.header a:hover {
    color: #000;
    text-decoration: none;
}

.header img {
    display: block;
    width: 250px;
    height: auto;
    margin-top: 10px;
}


@media (max-width: 768px) {
    /* Centrar la imagen de la escultura en la versión móvil */
    .swiper-slide:nth-child(2) .image {
        object-fit: contain;
    }

    /* Ocultar el encabezado "¿Quién es Enrique Ruelas?" en móviles */
    .swiper-slide:nth-child(1) .image-data span.text {
        display: none;
    }
}

/* Media query para pantallas muy pequeñas */
@media screen and (max-width: 480px) {
    .header .enlace {
        display: none;
    }

    .header img {
        display: block;
        width: 250px;
        height: auto;
        margin-top: 10px;
    }
}
